# Nobody likely uses this so we disable it
%define with_tclplugin		0
# This calls autoconf prior 
%define require_autoconf	0

Summary:   A popular and easy to use graphical IRC (chat) client
Name:      xchat
Version:   2.0.7
Release:   1.FC1.1.legacy
Epoch:     1
Group:     Applications/Internet
License:   GPL
URL:       http://www.xchat.org
Source:    http://www.xchat.org/files/source/2.0/xchat-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-root

# Patches 0-10 reserved for official xchat.org patches
#Patch0: http://www.xchat.org/files/source/2.0/patches/xc204-fixperlui.diff

Patch10: xchat-2.0.4-redhat-desktop-file.patch
Patch12: xchat-1.8.7-use-sysconf-to-detect-cpus.patch
# Adds new xchat command /NICKALL to change your nick on all servers at once
Patch18: xchat-1.8.11-nickall.patch
Patch19: xchat-2.0.2-freenode.patch
Patch20: xc208-fixsocks5.diff

BuildRequires: perl python-devel openssl-devel pkgconfig
%if %{require_autoconf}
BuildRequires: autoconf >= 2.54
%endif
# Added for bugzilla bug #91676 - ./configure indicates these versions or
# greater are required. 
BuildRequires: glib2-devel >= 2.0.3, gtk2-devel >= 2.0.3, bison >= 1.35
BuildRequires: gettext /bin/sed

# xchat MUST have the version of perl installed which was used to compile
# it, or else the embeded perl interpreter will break.
Requires: %(perl -le 'use Config; print $Config{archlibexp}')

%description
X-Chat is an easy to use graphical IRC chat client for the X Window
System. 

%prep
%setup -q

#%patch0 -p1 -b .fixperlui
%patch10 -p0 -b .redhat-desktop-file
%patch12 -p0 -b .use-sysconf-to-detect-cpus
# Disabled as it doesnt apply, needs investigation, and possible porting
#%patch18 -p1 -b .nickall
%patch19 -p0 -b .freenode
%patch20 -p1 -b .fixsocks5

%build
# Remove CVS files from source dirs so they're not installed into doc dirs.
find . -name CVS -type d | xargs rm -rf

export CFLAGS="$RPM_OPT_FLAGS $(perl -MExtUtils::Embed -e ccopts)"
export LDFLAGS=$(perl -MExtUtils::Embed -e ldopts)

if pkg-config openssl ; then
	export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
	export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
	export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

if [ %{require_autoconf} -eq 1 ] ; then
	autoconf
fi

%configure --disable-panel \
           --disable-textfe \
           --enable-openssl \
           --enable-python \
%if %{with_tclplugin}
	   --enable-tcl \
%else
	   --disable-tcl \
%endif	   
           --enable-ipv6

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# Move plugins around
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xchat/plugins
mv $RPM_BUILD_ROOT%{_libdir}/perl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
mv $RPM_BUILD_ROOT%{_libdir}/python.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
%if %{with_tclplugin}
mv $RPM_BUILD_ROOT%{_libdir}/tcl.so $RPM_BUILD_ROOT%{_libdir}/xchat/plugins/
%else
rm -f $RPM_BUILD_ROOT%{_libdir}/tcl.so
%endif	   

# Remove unwanted stuff
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
#rm -f $RPM_BUILD_ROOT%{_datadir}/applications/xchat.desktop
#rm -f $RPM_BUILD_ROOT/etc/X11/applnk/Internet/xchat.desktop

%find_lang %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/xchat
%{_libdir}/xchat/plugins/*.so
#%{_datadir}/applications/net-xchat.desktop
%{_datadir}/applications/xchat.desktop
%{_datadir}/pixmaps/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 11 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1:2.0.7-1.FC1.1.legacy
- Added patch to fix CAN-2004-0409

* Tue Feb 17 2004 Mike A. Harris <mharris@redhat.com> 1:2.0.7-1.FC1.0
- Rebuild xchat 2.0.7-3 as 2.0.7-1.FC1.0 for release as an enhancement erratum
  for Fedora Core 1.  Also fixes AMD64 64bit issues reported in bug (#114237)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com> 1:2.0.7-3
- rebuilt

* Mon Jan 26 2004 Jeremy Katz <katzj@redhat.com> 1:2.0.7-2
- rebuild for new perl version

* Sat Jan 10 2004 Mike A. Harris <mharris@redhat.com> 1:2.0.7-1
- Updated to xchat 2.0.7
- Removed already integrated patches, including:  xc204-fixperlui.diff,
  xchat-2.0.4-screen-position-fix.patch, xchat-2.0.4-exec-shield-GNU-stack.patch
- Added a new rpm macro require_autoconf, which is disabled (0) by default, as
  it seems no longer necessary to run autoconf prior to ./configure, so we no
  longer need to BuildRequire autoconf 2.54 either.

* Fri Oct 24 2003 Mike A. Harris <mharris@redhat.com> 2.0.4-4
- Added xchat-2.0.4-exec-shield-GNU-stack.patch from Arjan, to allow xchat to
  be be protected by exec shield if the system has exec-shield enabled.

* Fri Sep 19 2003 Mike A. Harris <mharris@redhat.com> 2.0.4-3.EL
- Rebuilt 2.0.4-3 for Taroon as 2.0.4-3.EL

* Fri Sep 19 2003 Mike A. Harris <mharris@redhat.com> 2.0.4-3
- Added xchat-2.0.4-screen-position-fix.patch to fix problem where xchat
  doesn't remember it's screen location between invocations (#103896)

* Sat Aug 30 2003 Mike A. Harris <mharris@redhat.com> 2.0.4-2
- Updated xchat-2.0.4-redhat-desktop-file.patch

* Thu Aug 28 2003 Mike A. Harris <mharris@redhat.com> 2.0.4-1
- Updated to xchat 2.0.4
- Removed unneeded patches xc203-fixtint.diff, xc203-fix-cps.diff
- Added upstream patch xc204-fixperlui.diff
- Updated autoconf dependancy to version 2.54 and greater as xchat wont
  compile otherwise.  Meaning Red Hat Linux 9 or higher is needed.

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 2.0.3-4
- rebuild

* Mon Jul 14 2003 Chip Turner <cturner@redhat.com>
- rebuild for new perl 5.8.1

* Thu Jul 10 2003 Mike A. Harris <mharris@redhat.com> 2.0.3-2
- Added xc203-fix-cps.diff patch from upstream to fix cps calculation
- TCL plugin was getting built even though we don't want it, so now we pass
  --enable-tcl or --disable-tcl explicitly, depending on with_tclplugin macro

* Mon Jun 30 2003 Mike A. Harris <mharris@redhat.com> 2.0.3-1.EL
- Rebuilt 2.0.3-1 as 2.0.3-1.EL for Red Hat Enterprise Linux development

* Mon Jun 30 2003 Mike A. Harris <mharris@redhat.com> 2.0.3-1
- Updated to xchat 2.0.3
- Dropped old patches: xc202-fixdetach.diff, xc202-fixurlg.diff,
  xchat-2.0.2-lib64-cleanup-for-python.patch
- Added upstream patch: xc203-fixtint.diff

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-7
- Added back BuildRequires autoconf, and call autoconf prior to ./configure
  as it seems to make xchat build successfully.  Have not bothered to figure
  out why calling autoconf is needed.  Something for a rainy day.

* Thu May 29 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-6
- Removed gnome-libs BuildRequires as it is bogus now
- Removed autoconf BuildRequires and usage, as it should be unneeded
- Added new BuildRequires on gettext, bison >= 1.35, glib2-devel >= 2.0.3,
  gtk2-devel >= 2.0.3, /bin/sed  (#91676 - Warren Togami)
- Removed dead patches: xchat-1.8.9-perlcrypt.patch, xchat-1.8.9-korean-fontset.patch

* Wed May 21 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-5
- Removed xchat.desktop file, as it was earlier replacedwith a patch
- Converted xchat-2.0.2-redhat-desktop-file.patch to be UTF-8 clean now,
  instead of the various random legacy mix of encodings it was, updating
  the following: es, ko, uk, zh_TW

* Tue May 20 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-4
- Replace explicit perl package name-epoch-version Requires added in 2.0.2-3
  with a more robust and generic solution of querying perl for the archlibexp
  dir during building, and requiring it instead

* Tue May 20 2003 Bill Nottingham <notting@redhat.com> 2.0.2-3
- rebuild against new (old?) perl, add epoch to dependency

* Sat May 17 2003 Mike A. Harris <mharris@redhat.com> 2.0.2-1
- Updated to new xchat 2.0.2 based on GTK2
- Dropped unneeded patches xchat-1.8.1-konqueror.patch,
  xchat-1.8.4-fix-USE_GNOME.patch
- Updated xchat-2.0.2-freenode.patch to refer to Openprojects.net
- Removed doc/xchat.sgml doc/*.html scripts-python scripts-perl from %%doc
- Added xchat-2.0.2-redhat-desktop-file.patch to patch the supplied xchat
  desktop file, instead of replacing it and trying to stay in sync
- Added xchat-2.0.2-lib64-cleanup-for-python.patch which fixes build problems
  on lib64 archs, and replaces xchat-multilib.patch
- Added with_tclplugin macro and default it to disabled

* Mon Mar 17 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-8
- Added xchat-1.8.11-nickall.patch which was written by Fabio Olive Leite,
  sent to me by Rik van Riel

* Wed Feb 19 2003 Bill Nottingham <notting@redhat.com> 1.8.11-7
- ship single desktop in %{_datadir}/applications, not /etc/X11/applnk

* Fri Jan 31 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-6
- Added xchat-1.8.11-freenode.patch to rename all openprojects.net entries
  to freenode.net in the default server list.  Patch courtesy of Dan Burcaw
  from bug (#81704)

* Wed Jan 22 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-5
- Removed double .desktop file (#81874,82315)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 1.8.11-4
- rebuilt

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-3
- Add bugfix from xchat.org xc1811fixststint.diff

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-2
- Remove CVS files from source dirs so they're not installed into doc dirs.

* Tue Jan  7 2003 Mike A. Harris <mharris@redhat.com> 1.8.11-1
- Update to xchat 1.8.11 bugfix release, fixes various runtime crashes
- Remove now included patches: xchat-1.8.10-urlhandler-open-in-new-tab.patch,
  xchat-1.8.10-beep-beep-beep.patch

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.8.10-13
- Pick up OpenSSL configuration from pkgconfig, if available
- Add openssl-devel and pkgconfig as buildreqs

* Wed Dec 11 2002 Elliot Lee <sopwith@redhat.com> 1.8.10-12
- Fix broken libpython path on multilibbed systems (patch13)
- _smp_mflags

* Tue Nov 26 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-11
- Added xchat-1.8.10-urlhandler-open-in-new-tab.patch to offer the option of
  opening a URL in a new tab of an existing browser window rather than a new
  window

* Sat Nov 23 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-10
- Added BuildRequires: python-devel to hopefully pick up a missing dep
  causing package build failure in timp's nightly builds.
- Removed dead patches
- Updated package summary and description to be more user friendly by
  rewording, and removing scary words like GNOME, GTK and other irrelevance

* Wed Nov 13 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-9
- Made sure {_sysconfdir}/X11/applnk/Internet/xchat.desktop gets packaged
- Removed some conditional weirdness in %%files list.  This may break xchat
  erratum releases on Red Hat Linux 7.x.  May need to be fixed in future.

* Fri Aug 23 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-7
- Added Requires line so that xchat requires the exact version of perl
  be installed, that was used to compile it, since the embedded perl
  interpreter will break, if you upgrade perl

* Thu Aug 15 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-6
- Fix Bill's beep beep beep bug (#71651)

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com> 1.8.10-5
- actually install the desktop file.

* Fri Aug  9 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-3
- Added http://xchat.org/files/source/1.8/patches/xc1810fixme.diff to fix
  bug with using /ME in a /QUERY window.  (#71179)

* Wed Aug  7 2002 Mike A. Harris <mharris@redhat.com> 1.8.10-2
- Updated to xchat 1.8.10 to fix a few bugs where a remote ircd could cause
  the xchat client to crash.  This is a bugfix only release.

* Tue Aug  6 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-10
- Added Korean fontset support to fix bug (#69771)

* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-9
- Enabled python scripting which was somehow disabled somewhere along the
  line by default in upstream sources, and we missed catching it. (#70816)

* Sun Aug  4 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-8
- Created new-style net-xchat.desktop file (#69541)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.8.9-7
- automated rebuild

* Tue Jun 18 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-6
- updated the package description
- Added CFLAGS and LDFLAGS export vars before configure to fix rpath problem

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Mike A. Harris <mharris@redhat.com> 1.8.9-2
- Updated to xchat 1.8.9

* Mon Apr  8 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-5
- Re-enabled GNOME support due to user complaints of pixmaps missing, key
  bindings, and other fairly important features no longer working.

* Tue Mar 27 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-4
- Disabled GNOME support since it doesn't seem too useful anyways, and forces
  all xchat users to install GNOME libs even if they use KDE. (#59626)
- Updated URL and source lines in spec.

* Wed Mar  6 2002 Mike A. Harris <mharris@redhat.com> 1.8.8-1
- Updated to xchat 1.8.8

* Tue Feb 26 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-6
- Built in new buildroot

* Tue Feb  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-5
- Added xchat-1.8.7-use-sysconf-to-detect-cpus.patch to use glibc's sysconf()
  to detect the number of processors available.

* Mon Feb  4 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-4
- Enabled IPv6 support as per the request for enhancement (#52124)

* Thu Jan 24 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-3
- Rebuilt in new build environment

* Thu Jan 10 2002 Mike A. Harris <mharris@redhat.com> 1.8.7-2
- Updated to xchat 1.8.7
- New release fixes security vulnerability in CTCP reply
- Built erratum for all supported releases (1.8.7-1.62.0, 1.8.7-1.70.0,
  1.8.7-1.71.0, 1.8.7-1.72.0)
- Removed konqueror patch as it is integrated now.

* Sat Jan  5 2002 Mike A. Harris <mharris@redhat.com> 1.8.6-2
- Enabled ssl support with --enable-openssl
- Also built releases 1.72.0, 1.71.0, 1.70.0, 1.62.0 for erratum release

* Mon Dec 10 2001 Mike A. Harris <mharris@redhat.com> 1.8.6-1
- Updated to xchat 1.8.6

* Tue Nov 13 2001 Mike A. Harris <mharris@redhat.com> 1.8.5-1
- Updated to xchat 1.8.5
- Added f to rm -r in install and clean sections

* Sun Oct  7 2001 Mike A. Harris <mharris@redhat.com> 1.8.4-1
- Updated to 1.8.4, now using tar.bz2
- Removed kanjiconv-fix patch as it is integrated now
- Added xchat-1.8.4-fix-USE_GNOME.patch to fix simple ifdef USE_GNOME typo

* Fri Jul 13 2001 Akira TAGOH <tagoh@redhat.com> 1.8.1-2
- fixed check locale.
- don't save kanji_conv.
  always check locale. however anyone can change the option from
  the settings menu.

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- upgrade to 1.8.1
- remove autoconnect patch since it's upstream
- remove japanese patch, upstream seems to have applied
  parts of it and changelog says there's upstream support.
  (this patch was pretty huge to maintain in an SRPM anyway...)
- put scripts-python scripts-perl in docs bug #28521
- remove patch to include locale.h, gone upstream
- upgrade konqueror patch

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- nevermind, BuildRequires gnome-libs, that should 
  close #48923

* Thu Jul 12 2001 Havoc Pennington <hp@redhat.com>
- fix file list to not include absolute path "/usr/share/..."
  no idea how that ever worked at all. closes #48923

* Mon Jun 25 2001 Karsten Hopp <karsten@redhat.de>
- use konqueror, not kfmclient on URLs

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- use %%{_tmppath}
- make it compile

* Tue Feb 13 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Tue Feb 13 2001 Havoc Pennington <hp@redhat.com>
- patch that may fix autoconnections (bug 27093)

* Mon Jan 22 2001 Havoc Pennington <hp@redhat.com>
- 1.6.3
- remove patch to desktop file (Internet->Application), seems to 
  have gone upstream

* Sat Dec 9 2000 Havoc Pennington <hp@redhat.com>
- Remove security fix which has been merged upstream
- upgrade to 1.6.1

* Sat Aug 19 2000 Havoc Pennington <hp@redhat.com>
- Don't use /bin/sh to interpret URLs from the net

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Updated Epoch

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Havoc Pennington <hp@redhat.com>
- Install HTML docs

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- fix desktop entry

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- rebuild for the Winston tree, update to 1.4.2
